Skip to main content
GET
/
browser
/
fingerprint
Get a random fingerprint
curl --request GET \
  --url https://api.gologin.com/browser/fingerprint \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.gologin.com/browser/fingerprint"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gologin.com/browser/fingerprint', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "navigator": {
    "userAgent": "<string>",
    "resolution": "<string>",
    "language": "<string>",
    "platform": "<string>",
    "hardwareConcurrency": 123,
    "deviceMemory": 123,
    "maxTouchPoints": 123
  },
  "plugins": {
    "enableVulnerable": true,
    "enableFlash": true
  },
  "canvas": {},
  "mediaDevices": {
    "videoInputs": 123,
    "audioInputs": 123,
    "audioOutputs": 123
  },
  "webGLMetadata": {
    "vendor": "<string>",
    "renderer": "<string>"
  },
  "os": {},
  "osSpec": {},
  "devicePixelRatio": 123,
  "fonts": [
    "<string>"
  ],
  "extensionsToNewProfiles": [
    "<string>"
  ],
  "userExtensionsToNewProfiles": [
    "<string>"
  ],
  "autoLang": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

os
enum<string>
required

The operating system to use for the fingerprint.

Available options:
lin,
mac,
win,
android,
android-cloud,
ios,
macM1
Example:

"win"

osSpec
enum<string>

The specific version of the operating system to use for the fingerprint.

Available options:
M1,
M2,
M3,
M4,
M5,
A18,
win11,
Example:

"win11"

template
string

The template to use for the fingerprint.

currentWorkspace
string
required

The current workspace to use for the fingerprint.

Response

200 - application/json
navigator
object
required
plugins
object
required
canvas
object
required
mediaDevices
object
required
webGLMetadata
object
required
os
object
required
osSpec
object
required
devicePixelRatio
number
required
fonts
string[]
required
extensionsToNewProfiles
string[]
required
userExtensionsToNewProfiles
string[]
required
autoLang
boolean
required